/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilExtractNeedsTranslationProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilExtractNeedsTranslationProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 出力対象の XLIFF (*.xlf) ファイル
     *
     * フィールド: [targetfile]。
     */
    private String fTargetfile;

    /**
     * 入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。
     *
     * フィールド: [xliffdir]。
     */
    private String fXliffdir;

    /**
     * state が needs-translation の trans-unit を取得するかどうか。
     *
     * フィールド: [getstateneedstranslation]。
     * デフォルト: [true]。
     */
    private boolean fGetstateneedstranslation = true;

    /**
     * state が new の trans-unit を取得するかどうか。
     *
     * フィールド: [getstatenew]。
     * デフォルト: [false]。
     */
    private boolean fGetstatenew = false;

    /**
     * そもそも target が存在しない trans-unit を取得するかどうか。
     *
     * フィールド: [gettargetnotexist]。
     * デフォルト: [false]。
     */
    private boolean fGettargetnotexist = false;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [targetfile] の値を設定します。
     *
     * フィールドの説明: [出力対象の XLIFF (*.xlf) ファイル]。
     *
     * @param argTargetfile フィールド[targetfile]に設定する値。
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド [targetfile] の値を取得します。
     *
     * フィールドの説明: [出力対象の XLIFF (*.xlf) ファイル]。
     *
     * @return フィールド[targetfile]から取得した値。
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [xliffdir] の値を設定します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。]。
     *
     * @param argXliffdir フィールド[xliffdir]に設定する値。
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド [xliffdir] の値を取得します。
     *
     * フィールドの説明: [入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。]。
     *
     * @return フィールド[xliffdir]から取得した値。
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [getstateneedstranslation] の値を設定します。
     *
     * フィールドの説明: [state が needs-translation の trans-unit を取得するかどうか。]。
     *
     * @param argGetstateneedstranslation フィールド[getstateneedstranslation]に設定する値。
     */
    public void setGetstateneedstranslation(final boolean argGetstateneedstranslation) {
        fGetstateneedstranslation = argGetstateneedstranslation;
    }

    /**
     * フィールド [getstateneedstranslation] の値を取得します。
     *
     * フィールドの説明: [state が needs-translation の trans-unit を取得するかどうか。]。
     * デフォルト: [true]。
     *
     * @return フィールド[getstateneedstranslation]から取得した値。
     */
    public boolean getGetstateneedstranslation() {
        return fGetstateneedstranslation;
    }

    /**
     * フィールド [getstatenew] の値を設定します。
     *
     * フィールドの説明: [state が new の trans-unit を取得するかどうか。]。
     *
     * @param argGetstatenew フィールド[getstatenew]に設定する値。
     */
    public void setGetstatenew(final boolean argGetstatenew) {
        fGetstatenew = argGetstatenew;
    }

    /**
     * フィールド [getstatenew] の値を取得します。
     *
     * フィールドの説明: [state が new の trans-unit を取得するかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[getstatenew]から取得した値。
     */
    public boolean getGetstatenew() {
        return fGetstatenew;
    }

    /**
     * フィールド [gettargetnotexist] の値を設定します。
     *
     * フィールドの説明: [そもそも target が存在しない trans-unit を取得するかどうか。]。
     *
     * @param argGettargetnotexist フィールド[gettargetnotexist]に設定する値。
     */
    public void setGettargetnotexist(final boolean argGettargetnotexist) {
        fGettargetnotexist = argGettargetnotexist;
    }

    /**
     * フィールド [gettargetnotexist] の値を取得します。
     *
     * フィールドの説明: [そもそも target が存在しない trans-unit を取得するかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[gettargetnotexist]から取得した値。
     */
    public boolean getGettargetnotexist() {
        return fGettargetnotexist;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilExtractNeedsTranslationProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",getstateneedstranslation=" + fGetstateneedstranslation);
        buf.append(",getstatenew=" + fGetstatenew);
        buf.append(",gettargetnotexist=" + fGettargetnotexist);
        buf.append("]");
        return buf.toString();
    }
}
